Page MenuHomePhabricator

[CodeGen] Record if a C++ record is a trivial type
ClosedPublic

Authored by asmith on Mar 31 2018, 8:28 AM.

Diff Detail

Repository
rC Clang

Event Timeline

asmith created this revision.Mar 31 2018, 8:28 AM
asmith retitled this revision from [CodeGen] Record if a C++ record is trivial type when emitting Codeview to [CodeGen] Record if a C++ record is a trivial type when emitting Codeview.Mar 31 2018, 8:28 AM

Why do we only want this for CodeView?

rnk added inline comments.Jul 20 2018, 2:07 PM
CodeGen/CGDebugInfo.cpp
2842–2843 ↗(On Diff #140545)

I think we might as well set it when emitting DWARF for simplicity.

asmith updated this revision to Diff 156664.Jul 20 2018, 10:52 PM
asmith retitled this revision from [CodeGen] Record if a C++ record is a trivial type when emitting Codeview to [CodeGen] Record if a C++ record is a trivial type.
rnk accepted this revision.Jul 23 2018, 10:55 AM

lgtm

I still think we probably want to flag individual constructors and destructors as trivial, so we can decide whether to emit them or not in CodeViewDebug.cpp.

This revision is now accepted and ready to land.Jul 23 2018, 10:55 AM
This revision was automatically updated to reflect the committed changes.